curl --request GET \
--url https://api.bridge.xyz/v0/kyc_links \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/kyc_links"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/kyc_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/kyc_links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/kyc_links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/kyc_links")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/kyc_links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 2,
"data": [
{
"id": "kyc_link_123",
"full_name": "John Doe",
"email": "johndoe@johndoe.com",
"type": "individual",
"kyc_link": "www.kyclink.com/blah",
"tos_link": "www.toslink.com/blah",
"kyc_status": "approved",
"rejection_reasons": [],
"tos_status": "approved",
"customer_id": "cust_123"
},
{
"id": "kyc_link_456",
"full_name": "Jane Doe",
"email": "janedoe@janedoe.com",
"type": "individual",
"kyc_link": "www.kyclink.com/blah",
"tos_link": "www.toslink.com/blah",
"kyc_status": "rejected",
"rejection_reasons": [
{
"developer_reason": "Missing required ID details.",
"reason": "Cannot validate ID -- upload a clear photo of the full ID",
"created_at": "2020-01-02T00:00:00.000Z"
},
{
"developer_reason": "Blurry face portrait.",
"reason": "Cannot validate ID -- upload a clear photo of the full ID",
"created_at": "2020-01-02T00:00:00.000Z"
}
],
"tos_status": "approved",
"customer_id": "cust_456"
}
]
}Get all KYC links.
Retrieve the full list of kyc links.
curl --request GET \
--url https://api.bridge.xyz/v0/kyc_links \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/kyc_links"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/kyc_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/kyc_links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/kyc_links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/kyc_links")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/kyc_links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 2,
"data": [
{
"id": "kyc_link_123",
"full_name": "John Doe",
"email": "johndoe@johndoe.com",
"type": "individual",
"kyc_link": "www.kyclink.com/blah",
"tos_link": "www.toslink.com/blah",
"kyc_status": "approved",
"rejection_reasons": [],
"tos_status": "approved",
"customer_id": "cust_123"
},
{
"id": "kyc_link_456",
"full_name": "Jane Doe",
"email": "janedoe@janedoe.com",
"type": "individual",
"kyc_link": "www.kyclink.com/blah",
"tos_link": "www.toslink.com/blah",
"kyc_status": "rejected",
"rejection_reasons": [
{
"developer_reason": "Missing required ID details.",
"reason": "Cannot validate ID -- upload a clear photo of the full ID",
"created_at": "2020-01-02T00:00:00.000Z"
},
{
"developer_reason": "Blurry face portrait.",
"reason": "Cannot validate ID -- upload a clear photo of the full ID",
"created_at": "2020-01-02T00:00:00.000Z"
}
],
"tos_status": "approved",
"customer_id": "cust_456"
}
]
}Query Parameters
This is a customer id. If this is specified, the next page that starts with a customer right AFTER the specified customer id on the customer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that customers older than the specified customer id will be returned (shouldn't be set if ending_before is set)
This is a customer id. If this is specified, the previous page that ends with a customer right BEFORE the specified customer id on the customer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that customers newer than the specified customer id will be returned (shouldn't be set if starting_after is set)
Was this page helpful?